Paste P6494

vagrant provision roles matching "error"
ActivePublic

Authored by hashar on Dec 21 2017, 10:43 AM.
xx001: default: shared folder errors, please make sure the guest additions within the
xx001:+ vagrant roles enable abusefilter
xx002:+ vagrant roles enable accountinfo
xx003:+ vagrant roles enable advancedsearch
xx004:+ vagrant roles enable analytics
xx004:==> default: Error: Evaluation Error: Resource type not found: BLOCK at
/vagrant/puppet/modules/role/manifests/hadoop.pp:36:53 on node mwvstretch.mediawiki
vagrant.dev
xx005:+ vagrant roles enable AUTHORS.txt Gemfile Gemfile.lock HACKING.md LICENSE
LocalSettings.php README.md Rakefile Vagrantfile cache features lib logs mediawiki mediawiki
vagrant.gemspec profiles puppet settings.d setup.bat setup.sh spec srv support tmp antispam
xx006:+ vagrant roles enable antispoof
xx007:+ vagrant roles enable apex
xx008:+ vagrant roles enable apparmor
xx008:==> default: Error: /Stage[main]/Apparmor/Exec[confine_redis]: Failed to call refresh:
/sbin/apparmor_parser -r /etc/apparmor.d/usr.bin.redis-server returned 1 instead of one of [0]
xx008:==> default: Error: /Stage[main]/Apparmor/Exec[confine_redis]: /sbin/apparmor_parser -r
/etc/apparmor.d/usr.bin.redis-server returned 1 instead of one of [0]
xx009:+ vagrant roles enable articlecreationworkflow
xx010:+ vagrant roles enable articleplaceholder
xx010:==> default: Error: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold install
php-luasandbox' returned 100: Reading package lists...
xx010:==> default: Error: /Stage[main]/Packages::Php_luasandbox/Package[php-luasandbox]/ensure:
change from purged to present failed: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force
confold install php-luasandbox' returned 100: Reading package lists...
xx011:+ vagrant roles enable babel
xx012:+ vagrant roles enable betafeatures
xx013:+ vagrant roles enable bouncehandler
xx014:+ vagrant roles enable buggy
xx015:+ vagrant roles enable campaigns
xx016:+ vagrant roles enable cassandra
xx016: default: shared folder errors, please make sure the guest additions within the
xx016:==> default: Error: Could not update: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=-
force-confold install cassandra' returned 100: Reading package lists...
xx016:==> default: Error: /Stage[main]/Cassandra/Package[cassandra]/ensure: change from purged
to latest failed: Could not update: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force
confold install cassandra' returned 100: Reading package lists...
xx017:+ vagrant roles enable categorytree
xx018:+ vagrant roles enable centralauth
xx019:+ vagrant roles enable centralnotice
xx020:+ vagrant roles enable checkuser
xx021:+ vagrant roles enable cirrussearch
xx021: default: shared folder errors, please make sure the guest additions within the
xx021:==> default: Error: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold installconfluent-kafka-2.11.7' returned 100: Reading package lists...
xx021:==> default: Error: /Stage[main]/Packages::Confluent_kafka_2.11.7/Package[confluent
kafka-2.11.7]/ensure: change from purged to present failed: Execution of '/usr/bin/apt-get -q -y -o
DPkg::Options::=--force-confold install confluent-kafka-2.11.7' returned 100: Reading package lists...
xx021:==> default: Error: Could not update: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=-
force-confold install wmf-elasticsearch-search-plugins' returned 100: Reading package lists...
xx021:==> default: Error: /Stage[main]/Role::Cirrussearch/Package[wmf-elasticsearch-search
plugins]/ensure: change from purged to latest failed: Could not update: Execution of '/usr/bin/apt-get
-q -y -o DPkg::Options::=--force-confold install wmf-elasticsearch-search-plugins' returned 100:
Reading package lists...
xx022:+ vagrant roles enable cite
xx023:+ vagrant roles enable citoid
xx023: default: shared folder errors, please make sure the guest additions within the
xx023:==> default: Error: Evaluation Error: Error while evaluating a Resource Statement, Evaluation
Error: Error while evaluating a Function Call, Service port must be specified and must be a number!
at /vagrant/puppet/modules/service/manifests/node.pp:80:9 at
/vagrant/puppet/modules/citoid/manifests/init.pp:18 on node mwvstretch.mediawiki-vagrant.dev
xx024:+ vagrant roles enable cldr
xx025:+ vagrant roles enable codeeditor
xx026:+ vagrant roles enable codemirror
xx026:==> default: Error: Evaluation Error: Error while evaluating a Resource Statement, Evaluation
Error: Error while evaluating a Function Call, Service port must be specified and must be a number!
at /vagrant/puppet/modules/service/manifests/node.pp:80:9 at
/vagrant/puppet/modules/citoid/manifests/init.pp:18 on node mwvstretch.mediawiki-vagrant.dev
xx027:+ vagrant roles enable cologneblue
xx028:+ vagrant roles enable commons
xx028:==> default: Error: /usr/local/bin/foreachwikiwithextension GlobalUsage
extensions/GlobalUsage/refreshGlobalimagelinks.php --pages existing,nonexisting returned 1
instead of one of [0]
xx028:==> default: Error: /Stage[main]/Role::Commons/Mediawiki::Maintenance[refresh globalusage
table]/Exec[refresh globalusage table]/returns: change from notrun to 0 failed:
/usr/local/bin/foreachwikiwithextension GlobalUsage
extensions/GlobalUsage/refreshGlobalimagelinks.php --pages existing,nonexisting returned 1
instead of one of [0]
xx029:+ vagrant roles enable commons_datasets
xx029:==> default: Error: /usr/local/bin/foreachwikiwithextension GlobalUsage
extensions/GlobalUsage/refreshGlobalimagelinks.php --pages existing,nonexisting returned 1
instead of one of [0]
xx029:==> default: Error: /Stage[main]/Role::Commons/Mediawiki::Maintenance[refresh globalusage
table]/Exec[refresh globalusage table]/returns: change from notrun to 0 failed:
/usr/local/bin/foreachwikiwithextension GlobalUsage
extensions/GlobalUsage/refreshGlobalimagelinks.php --pages existing,nonexisting returned 1
instead of one of [0]
xx030:+ vagrant roles enable commonsmetadataxx031:+ vagrant roles enable confirmedit
xx032:+ vagrant roles enable contactpage
xx033:+ vagrant roles enable contenttranslation
xx033: default: shared folder errors, please make sure the guest additions within the
xx033:==> default: Notice:
/Stage[main]/Parsoid/Service::Node[parsoid]/Npm::Install[/vagrant/srv/parsoid]/Exec[/vagrant/srv/
arsoid_npm_install]/returns: error-ex@1.3.1 node_modules/error-ex
xx033:==> default: Notice:
/Stage[main]/Parsoid/Service::Node[parsoid]/Npm::Install[/vagrant/srv/parsoid]/Exec[/vagrant/srv/
arsoid_npm_install]/returns: assertion-error@1.0.2 node_modules/assertion-error
xx033:==> default: Notice:
/Stage[main]/Parsoid/Service::Node[parsoid]/Npm::Install[/vagrant/srv/parsoid]/Exec[/vagrant/srv/
arsoid_npm_install]/returns: http-errors@1.6.2 node_modules/http-errors
xx033:==> default: Notice:
/Stage[main]/Parsoid/Service::Node[parsoid]/Npm::Install[/vagrant/srv/parsoid]/Exec[/vagrant/srv/
arsoid_npm_install]/returns: verror@1.3.6 node_modules/verror
xx033:==> default: Notice:
/Stage[main]/Contenttranslation::Cxserver/Service::Node[cxserver]/Npm::Install[/vagrant/srv/cxser
er]/Exec[/vagrant/srv/cxserver_npm_install]/returns: ├── http-errors@1.6.2 (setprototypeof@1.0.3,
inherits@2.0.3, statuses@1.4.0)
xx033:==> default: Notice:
/Stage[main]/Contenttranslation::Cxserver/Service::Node[cxserver]/Npm::Install[/vagrant/srv/cxser
er]/Exec[/vagrant/srv/cxserver_npm_install]/returns: └── send@0.16.1 (ms@2.0.0, destroy@1.0.4,
mime@1.4.1, http-errors@1.6.2)
xx033:==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: PHP Fatal
error: Uncaught Exception: ContentTranslation requires VisualEditor to be installed. in
/vagrant/mediawiki/includes/registration/ExtensionRegistry.php:267
xx033:==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns:
centralauthtestwiki: Fatal error: Uncaught Exception: ContentTranslation requires VisualEditor to be
installed. in /vagrant/mediawiki/includes/registration/ExtensionRegistry.php on line 267
xx033:==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: PHP Fatal
error: Uncaught Exception: ContentTranslation requires VisualEditor to be installed. in
/vagrant/mediawiki/includes/registration/ExtensionRegistry.php:267
xx033:==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: enwiki: Fatal
error: Uncaught Exception: ContentTranslation requires VisualEditor to be installed. in
/vagrant/mediawiki/includes/registration/ExtensionRegistry.php on line 267
xx033:==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: PHP Fatal
error: Uncaught Exception: ContentTranslation requires VisualEditor to be installed. in
/vagrant/mediawiki/includes/registration/ExtensionRegistry.php:267
xx033:==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: eswiki: Fatal
error: Uncaught Exception: ContentTranslation requires VisualEditor to be installed. in
/vagrant/mediawiki/includes/registration/ExtensionRegistry.php on line 267
xx033:==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: PHP Fatal
error: Uncaught Exception: ContentTranslation requires VisualEditor to be installed. in/vagrant/mediawiki/includes/registration/ExtensionRegistry.php:267
xx033:==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: frwiki: Fatal
error: Uncaught Exception: ContentTranslation requires VisualEditor to be installed. in
/vagrant/mediawiki/includes/registration/ExtensionRegistry.php on line 267
xx033:==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: PHP Fatal
error: Uncaught Exception: ContentTranslation requires VisualEditor to be installed. in
/vagrant/mediawiki/includes/registration/ExtensionRegistry.php:267
xx033:==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns:
frwiktionarywiki: Fatal error: Uncaught Exception: ContentTranslation requires VisualEditor to be
installed. in /vagrant/mediawiki/includes/registration/ExtensionRegistry.php on line 267
xx033:==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: PHP Fatal
error: Uncaught Exception: ContentTranslation requires VisualEditor to be installed. in
/vagrant/mediawiki/includes/registration/ExtensionRegistry.php:267
xx033:==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: hewiki: Fatal
error: Uncaught Exception: ContentTranslation requires VisualEditor to be installed. in
/vagrant/mediawiki/includes/registration/ExtensionRegistry.php on line 267
xx033:==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: PHP Fatal
error: Uncaught Exception: ContentTranslation requires VisualEditor to be installed. in
/vagrant/mediawiki/includes/registration/ExtensionRegistry.php:267
xx033:==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: loginwiki:
Fatal error: Uncaught Exception: ContentTranslation requires VisualEditor to be installed. in
/vagrant/mediawiki/includes/registration/ExtensionRegistry.php on line 267
xx033:==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: PHP Fatal
error: Uncaught Exception: ContentTranslation requires VisualEditor to be installed. in
/vagrant/mediawiki/includes/registration/ExtensionRegistry.php:267
xx033:==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: ruwiki: Fatal
error: Uncaught Exception: ContentTranslation requires VisualEditor to be installed. in
/vagrant/mediawiki/includes/registration/ExtensionRegistry.php on line 267
xx033:==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: PHP Fatal
error: Uncaught Exception: ContentTranslation requires VisualEditor to be installed. in
/vagrant/mediawiki/includes/registration/ExtensionRegistry.php:267
xx033:==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: wiki: Fatal
error: Uncaught Exception: ContentTranslation requires VisualEditor to be installed. in
/vagrant/mediawiki/includes/registration/ExtensionRegistry.php on line 267
xx033:==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: PHP Fatal
error: Uncaught Exception: ContentTranslation requires VisualEditor to be installed. in
/vagrant/mediawiki/includes/registration/ExtensionRegistry.php:267
xx033:==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: zhwiki: Fatal
error: Uncaught Exception: ContentTranslation requires VisualEditor to be installed. in
/vagrant/mediawiki/includes/registration/ExtensionRegistry.php on line 267
xx033:==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: PHP Fatal
error: Uncaught Exception: ContentTranslation requires VisualEditor to be installed. in
/vagrant/mediawiki/includes/registration/ExtensionRegistry.php:267
xx033:==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns:zhwikivoyagewiki: Fatal error: Uncaught Exception: ContentTranslation requires VisualEditor to be
installed. in /vagrant/mediawiki/includes/registration/ExtensionRegistry.php on line 267
xx033:==> default: Error: /Stage[main]/Mediawiki/Exec[update_all_databases]: Failed to call refresh:
/usr/local/bin/foreachwiki update.php --quick --doshared returned 1 instead of one of [0]
xx033:==> default: Error: /Stage[main]/Mediawiki/Exec[update_all_databases]:
/usr/local/bin/foreachwiki update.php --quick --doshared returned 1 instead of one of [0]
xx033:==> default: Notice: /Stage[main]/Role::Echo/Mediawiki::Maintenance[backfill
echo_unread_wikis]/Exec[backfill echo_unread_wikis]/returns: PHP Fatal error: Uncaught Exception:
ContentTranslation requires VisualEditor to be installed. in
/vagrant/mediawiki/includes/registration/ExtensionRegistry.php:267
xx033:==> default: Notice: /Stage[main]/Role::Echo/Mediawiki::Maintenance[backfill
echo_unread_wikis]/Exec[backfill echo_unread_wikis]/returns: PHP Fatal error: Uncaught Exception:
ContentTranslation requires VisualEditor to be installed. in
/vagrant/mediawiki/includes/registration/ExtensionRegistry.php:267
xx033:==> default: Notice: /Stage[main]/Role::Echo/Mediawiki::Maintenance[backfill
echo_unread_wikis]/Exec[backfill echo_unread_wikis]/returns: PHP Fatal error: Uncaught Exception:
ContentTranslation requires VisualEditor to be installed. in
/vagrant/mediawiki/includes/registration/ExtensionRegistry.php:267
xx033:==> default: Notice: /Stage[main]/Role::Echo/Mediawiki::Maintenance[backfill
echo_unread_wikis]/Exec[backfill echo_unread_wikis]/returns: PHP Fatal error: Uncaught Exception:
ContentTranslation requires VisualEditor to be installed. in
/vagrant/mediawiki/includes/registration/ExtensionRegistry.php:267
xx033:==> default: Notice: /Stage[main]/Role::Echo/Mediawiki::Maintenance[backfill
echo_unread_wikis]/Exec[backfill echo_unread_wikis]/returns: PHP Fatal error: Uncaught Exception:
ContentTranslation requires VisualEditor to be installed. in
/vagrant/mediawiki/includes/registration/ExtensionRegistry.php:267
xx033:==> default: Notice: /Stage[main]/Role::Echo/Mediawiki::Maintenance[backfill
echo_unread_wikis]/Exec[backfill echo_unread_wikis]/returns: PHP Fatal error: Uncaught Exception:
ContentTranslation requires VisualEditor to be installed. in
/vagrant/mediawiki/includes/registration/ExtensionRegistry.php:267
xx033:==> default: Notice: /Stage[main]/Role::Echo/Mediawiki::Maintenance[backfill
echo_unread_wikis]/Exec[backfill echo_unread_wikis]/returns: PHP Fatal error: Uncaught Exception:
ContentTranslation requires VisualEditor to be installed. in
/vagrant/mediawiki/includes/registration/ExtensionRegistry.php:267
xx033:==> default: Notice: /Stage[main]/Role::Echo/Mediawiki::Maintenance[backfill
echo_unread_wikis]/Exec[backfill echo_unread_wikis]/returns: PHP Fatal error: Uncaught Exception:
ContentTranslation requires VisualEditor to be installed. in
/vagrant/mediawiki/includes/registration/ExtensionRegistry.php:267
xx033:==> default: Notice: /Stage[main]/Role::Echo/Mediawiki::Maintenance[backfill
echo_unread_wikis]/Exec[backfill echo_unread_wikis]/returns: PHP Fatal error: Uncaught Exception:
ContentTranslation requires VisualEditor to be installed. in
/vagrant/mediawiki/includes/registration/ExtensionRegistry.php:267
xx033:==> default: Notice: /Stage[main]/Role::Echo/Mediawiki::Maintenance[backfill
echo_unread_wikis]/Exec[backfill echo_unread_wikis]/returns: PHP Fatal error: Uncaught Exception:ContentTranslation requires VisualEditor to be installed. in
/vagrant/mediawiki/includes/registration/ExtensionRegistry.php:267
xx033:==> default: Notice: /Stage[main]/Role::Echo/Mediawiki::Maintenance[backfill
echo_unread_wikis]/Exec[backfill echo_unread_wikis]/returns: PHP Fatal error: Uncaught Exception:
ContentTranslation requires VisualEditor to be installed. in
/vagrant/mediawiki/includes/registration/ExtensionRegistry.php:267
xx033:==> default: Notice: /Stage[main]/Role::Echo/Mediawiki::Maintenance[backfill
echo_unread_wikis]/Exec[backfill echo_unread_wikis]/returns: error:
xx033:==> default: Notice: /Stage[main]/Role::Echo/Mediawiki::Maintenance[backfill
echo_unread_wikis]/Exec[backfill echo_unread_wikis]/returns: Database error: not configured
xx033:==> default: Notice: /Stage[main]/Role::Echo/Mediawiki::Maintenance[backfill
echo_unread_wikis]/Exec[backfill echo_unread_wikis]/returns: error:
xx033:==> default: Notice: /Stage[main]/Role::Echo/Mediawiki::Maintenance[backfill
echo_unread_wikis]/Exec[backfill echo_unread_wikis]/returns: Database error: not configured
xx033:==> default: Notice: /Stage[main]/Role::Echo/Mediawiki::Maintenance[backfill
echo_unread_wikis]/Exec[backfill echo_unread_wikis]/returns: error:
xx033:==> default: Notice: /Stage[main]/Role::Echo/Mediawiki::Maintenance[backfill
echo_unread_wikis]/Exec[backfill echo_unread_wikis]/returns: Database error: not configured
xx033:==> default: Notice: /Stage[main]/Role::Echo/Mediawiki::Maintenance[backfill
echo_unread_wikis]/Exec[backfill echo_unread_wikis]/returns: error:
xx033:==> default: Notice: /Stage[main]/Role::Echo/Mediawiki::Maintenance[backfill
echo_unread_wikis]/Exec[backfill echo_unread_wikis]/returns: Database error: not configured
xx033:==> default: Notice: /Stage[main]/Role::Echo/Mediawiki::Maintenance[backfill
echo_unread_wikis]/Exec[backfill echo_unread_wikis]/returns: error:
xx033:==> default: Notice: /Stage[main]/Role::Echo/Mediawiki::Maintenance[backfill
echo_unread_wikis]/Exec[backfill echo_unread_wikis]/returns: Database error: not configured
xx033:==> default: Notice: /Stage[main]/Role::Echo/Mediawiki::Maintenance[backfill
echo_unread_wikis]/Exec[backfill echo_unread_wikis]/returns: error:
xx033:==> default: Notice: /Stage[main]/Role::Echo/Mediawiki::Maintenance[backfill
echo_unread_wikis]/Exec[backfill echo_unread_wikis]/returns: Database error: not configured
xx033:==> default: Notice: /Stage[main]/Role::Echo/Mediawiki::Maintenance[backfill
echo_unread_wikis]/Exec[backfill echo_unread_wikis]/returns: error:
xx033:==> default: Notice: /Stage[main]/Role::Echo/Mediawiki::Maintenance[backfill
echo_unread_wikis]/Exec[backfill echo_unread_wikis]/returns: Database error: not configured
xx033:==> default: Notice: /Stage[main]/Role::Echo/Mediawiki::Maintenance[backfill
echo_unread_wikis]/Exec[backfill echo_unread_wikis]/returns: error:
xx033:==> default: Notice: /Stage[main]/Role::Echo/Mediawiki::Maintenance[backfill
echo_unread_wikis]/Exec[backfill echo_unread_wikis]/returns: Database error: not configured
xx033:==> default: Notice: /Stage[main]/Role::Echo/Mediawiki::Maintenance[backfill
echo_unread_wikis]/Exec[backfill echo_unread_wikis]/returns: error:
xx033:==> default: Notice: /Stage[main]/Role::Echo/Mediawiki::Maintenance[backfill
echo_unread_wikis]/Exec[backfill echo_unread_wikis]/returns: Database error: not configured
xx033:==> default: Notice: /Stage[main]/Role::Echo/Mediawiki::Maintenance[backfill
echo_unread_wikis]/Exec[backfill echo_unread_wikis]/returns: error:xx033:==> default: Notice: /Stage[main]/Role::Echo/Mediawiki::Maintenance[backfill
echo_unread_wikis]/Exec[backfill echo_unread_wikis]/returns: Database error: not configured
xx033:==> default: Notice: /Stage[main]/Role::Echo/Mediawiki::Maintenance[backfill
echo_unread_wikis]/Exec[backfill echo_unread_wikis]/returns: error:
xx033:==> default: Notice: /Stage[main]/Role::Echo/Mediawiki::Maintenance[backfill
echo_unread_wikis]/Exec[backfill echo_unread_wikis]/returns: Database error: not configured
xx033:==> default: Error: /Stage[main]/Role::Echo/Mediawiki::Maintenance[backfill
echo_unread_wikis]/Exec[backfill echo_unread_wikis]: Failed to call refresh:
/usr/local/bin/foreachwikiwithextension Echo extensions/Echo/maintenance/backfillUnreadWikis.php
returned 1 instead of one of [0]
xx033:==> default: Error: /Stage[main]/Role::Echo/Mediawiki::Maintenance[backfill
echo_unread_wikis]/Exec[backfill echo_unread_wikis]: /usr/local/bin/foreachwikiwithextension Echo
extensions/Echo/maintenance/backfillUnreadWikis.php returned 1 instead of one of [0]
xx033:==> default: Notice:
/Stage[main]/Mediawiki/Mediawiki::User[admin_user_in_steward_suppress_on_wiki]/Mediawiki::Mai
tenance[mediawiki_user_Admin_wiki]/Exec[mediawiki_user_Admin_wiki]/returns: PHP Fatal error:
Uncaught Exception: ContentTranslation requires VisualEditor to be installed. in
/vagrant/mediawiki/includes/registration/ExtensionRegistry.php:267
xx033:==> default: Notice:
/Stage[main]/Mediawiki/Mediawiki::User[admin_user_in_steward_suppress_on_wiki]/Mediawiki::Mai
tenance[mediawiki_user_Admin_wiki]/Exec[mediawiki_user_Admin_wiki]/returns: Fatal error:
Uncaught Exception: ContentTranslation requires VisualEditor to be installed. in
/vagrant/mediawiki/includes/registration/ExtensionRegistry.php on line 267
xx033:==> default: Error: /usr/local/bin/mwscript createAndPromote.php --wiki='wiki'
'Admin' 'vagrant' returned 255 instead of one of [0]
xx033:==> default: Error:
/Stage[main]/Mediawiki/Mediawiki::User[admin_user_in_steward_suppress_on_wiki]/Mediawiki::Mai
tenance[mediawiki_user_Admin_wiki]/Exec[mediawiki_user_Admin_wiki]/returns: change from notrun
to 0 failed: /usr/local/bin/mwscript createAndPromote.php --wiki='wiki' 'Admin' 'vagrant'
returned 255 instead of one of [0]
xx033:==> default: Notice:
/Stage[main]/Browsertests/Mediawiki::User[Selenium_user]/Mediawiki::Maintenance[mediawiki_us
r_Selenium_user_wiki]/Exec[mediawiki_user_Selenium_user_wiki]/returns: PHP Fatal error: Uncaught
Exception: ContentTranslation requires VisualEditor to be installed. in
/vagrant/mediawiki/includes/registration/ExtensionRegistry.php:267
xx033:==> default: Notice:
/Stage[main]/Browsertests/Mediawiki::User[Selenium_user]/Mediawiki::Maintenance[mediawiki_us
r_Selenium_user_wiki]/Exec[mediawiki_user_Selenium_user_wiki]/returns: Fatal error: Uncaught
Exception: ContentTranslation requires VisualEditor to be installed. in
/vagrant/mediawiki/includes/registration/ExtensionRegistry.php on line 267
xx033:==> default: Error: /usr/local/bin/mwscript createAndPromote.php --wiki='wiki'
'Selenium_user' 'vagrant' returned 255 instead of one of [0]
xx033:==> default: Error:
/Stage[main]/Browsertests/Mediawiki::User[Selenium_user]/Mediawiki::Maintenance[mediawiki_usr_Selenium_user_wiki]/Exec[mediawiki_user_Selenium_user_wiki]/returns: change from notrun to 0
failed: /usr/local/bin/mwscript createAndPromote.php --wiki='wiki' 'Selenium_user'
'vagrant' returned 255 instead of one of [0]
xx033:==> default: Notice: /Stage[main]/Role::Echo/Mediawiki::User[Selenium Echo user
a]/Mediawiki::Maintenance[mediawiki_user_Selenium Echo user
a_wiki]/Exec[mediawiki_user_Selenium Echo user a_wiki]/returns: PHP Fatal error: Uncaught
Exception: ContentTranslation requires VisualEditor to be installed. in
/vagrant/mediawiki/includes/registration/ExtensionRegistry.php:267
xx033:==> default: Notice: /Stage[main]/Role::Echo/Mediawiki::User[Selenium Echo user
a]/Mediawiki::Maintenance[mediawiki_user_Selenium Echo user
a_wiki]/Exec[mediawiki_user_Selenium Echo user a_wiki]/returns: Fatal error: Uncaught Exception:
ContentTranslation requires VisualEditor to be installed. in
/vagrant/mediawiki/includes/registration/ExtensionRegistry.php on line 267
xx033:==> default: Error: /usr/local/bin/mwscript createAndPromote.php --wiki='wiki'
'Selenium Echo user a' 'vagrant' returned 255 instead of one of [0]
xx033:==> default: Error: /Stage[main]/Role::Echo/Mediawiki::User[Selenium Echo user
a]/Mediawiki::Maintenance[mediawiki_user_Selenium Echo user
a_wiki]/Exec[mediawiki_user_Selenium Echo user a_wiki]/returns: change from notrun to 0 failed:
/usr/local/bin/mwscript createAndPromote.php --wiki='wiki' 'Selenium Echo user a'
'vagrant' returned 255 instead of one of [0]
xx033:==> default: Notice: /Stage[main]/Role::Echo/Mediawiki::User[Selenium Echo user
b]/Mediawiki::Maintenance[mediawiki_user_Selenium Echo user
b_wiki]/Exec[mediawiki_user_Selenium Echo user b_wiki]/returns: PHP Fatal error: Uncaught
Exception: ContentTranslation requires VisualEditor to be installed. in
/vagrant/mediawiki/includes/registration/ExtensionRegistry.php:267
xx033:==> default: Notice: /Stage[main]/Role::Echo/Mediawiki::User[Selenium Echo user
b]/Mediawiki::Maintenance[mediawiki_user_Selenium Echo user
b_wiki]/Exec[mediawiki_user_Selenium Echo user b_wiki]/returns: Fatal error: Uncaught Exception:
ContentTranslation requires VisualEditor to be installed. in
/vagrant/mediawiki/includes/registration/ExtensionRegistry.php on line 267
xx033:==> default: Error: /usr/local/bin/mwscript createAndPromote.php --wiki='wiki'
'Selenium Echo user b' 'vagrant' returned 255 instead of one of [0]
xx033:==> default: Error: /Stage[main]/Role::Echo/Mediawiki::User[Selenium Echo user
b]/Mediawiki::Maintenance[mediawiki_user_Selenium Echo user
b_wiki]/Exec[mediawiki_user_Selenium Echo user b_wiki]/returns: change from notrun to 0 failed:
/usr/local/bin/mwscript createAndPromote.php --wiki='wiki' 'Selenium Echo user b'
'vagrant' returned 255 instead of one of [0]
xx034:+ vagrant roles enable disableaccount
xx035:+ vagrant roles enable disambiguator
xx036:+ vagrant roles enable doublewiki
xx037:+ vagrant roles enable easytimeline
xx038:+ vagrant roles enable echo
xx038:==> default: Notice: /Stage[main]/Role::Echo/Mediawiki::User[Selenium Echo user
a]/Mediawiki::Maintenance[mediawiki_user_Selenium Echo usera_wiki]/Exec[mediawiki_user_Selenium Echo user a_wiki]/returns: [b3cafff11ab95e5f743c5b78] [no
req] Wikimedia\Rdbms\DBQueryError from line 1179 of
/vagrant/mediawiki/includes/libs/rdbms/database/Database.php: A database query error has
occurred. Did you forget to run your application's database schema updater after upgrading?
xx038:==> default: Notice: /Stage[main]/Role::Echo/Mediawiki::User[Selenium Echo user
a]/Mediawiki::Maintenance[mediawiki_user_Selenium Echo user
a_wiki]/Exec[mediawiki_user_Selenium Echo user a_wiki]/returns: Error: 1146 Table
'centralauth.localuser' doesn't exist (127.0.0.1)
xx038:==> default: Notice: /Stage[main]/Role::Echo/Mediawiki::User[Selenium Echo user
a]/Mediawiki::Maintenance[mediawiki_user_Selenium Echo user
a_wiki]/Exec[mediawiki_user_Selenium Echo user a_wiki]/returns: #0
/vagrant/mediawiki/includes/libs/rdbms/database/Database.php(991): Wikimedia\Rdbms\Database
>reportQueryError(string, integer, string, string, boolean)
xx038:==> default: Error: /usr/local/bin/mwscript createAndPromote.php --wiki='wiki'
'Selenium Echo user a' 'vagrant' returned 255 instead of one of [0]
xx038:==> default: Error: /Stage[main]/Role::Echo/Mediawiki::User[Selenium Echo user
a]/Mediawiki::Maintenance[mediawiki_user_Selenium Echo user
a_wiki]/Exec[mediawiki_user_Selenium Echo user a_wiki]/returns: change from notrun to 0 failed:
/usr/local/bin/mwscript createAndPromote.php --wiki='wiki' 'Selenium Echo user a'
'vagrant' returned 255 instead of one of [0]
xx038:==> default: Notice: /Stage[main]/Role::Echo/Mediawiki::User[Selenium Echo user
b]/Mediawiki::Maintenance[mediawiki_user_Selenium Echo user
b_wiki]/Exec[mediawiki_user_Selenium Echo user b_wiki]/returns: [df942e88d2d0e55b1391eb16] [no
req] Wikimedia\Rdbms\DBQueryError from line 1179 of
/vagrant/mediawiki/includes/libs/rdbms/database/Database.php: A database query error has
occurred. Did you forget to run your application's database schema updater after upgrading?
xx038:==> default: Notice: /Stage[main]/Role::Echo/Mediawiki::User[Selenium Echo user
b]/Mediawiki::Maintenance[mediawiki_user_Selenium Echo user
b_wiki]/Exec[mediawiki_user_Selenium Echo user b_wiki]/returns: Error: 1146 Table
'centralauth.localuser' doesn't exist (127.0.0.1)
xx038:==> default: Notice: /Stage[main]/Role::Echo/Mediawiki::User[Selenium Echo user
b]/Mediawiki::Maintenance[mediawiki_user_Selenium Echo user
b_wiki]/Exec[mediawiki_user_Selenium Echo user b_wiki]/returns: #0
/vagrant/mediawiki/includes/libs/rdbms/database/Database.php(991): Wikimedia\Rdbms\Database
>reportQueryError(string, integer, string, string, boolean)
xx038:==> default: Error: /usr/local/bin/mwscript createAndPromote.php --wiki='wiki'
'Selenium Echo user b' 'vagrant' returned 255 instead of one of [0]
xx038:==> default: Error: /Stage[main]/Role::Echo/Mediawiki::User[Selenium Echo user
b]/Mediawiki::Maintenance[mediawiki_user_Selenium Echo user
b_wiki]/Exec[mediawiki_user_Selenium Echo user b_wiki]/returns: change from notrun to 0 failed:
/usr/local/bin/mwscript createAndPromote.php --wiki='wiki' 'Selenium Echo user b'
'vagrant' returned 255 instead of one of [0]
xx039:+ vagrant roles enable education
xx040:+ vagrant roles enable elkxx040: default: shared folder errors, please make sure the guest additions within the
xx040:==> default: Error: /Stage[main]/Kibana/Exec[create-kibana-index]/unless: Check "curl -sf
XHEAD localhost:9200/.kibana" exceeded timeout
xx041:+ vagrant roles enable emailauth
xx042:+ vagrant roles enable embedvideo
xx043:+ vagrant roles enable eventbus
xx043: default: shared folder errors, please make sure the guest additions within the
xx043:==> default: Error: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold install
confluent-kafka-2.11.7' returned 100: Reading package lists...
xx043:==> default: Error: /Stage[main]/Packages::Confluent_kafka_2.11.7/Package[confluent
kafka-2.11.7]/ensure: change from purged to present failed: Execution of '/usr/bin/apt-get -q -y -o
DPkg::Options::=--force-confold install confluent-kafka-2.11.7' returned 100: Reading package lists...
xx043:==> default: Notice:
/Stage[main]/Changeprop/Service::Node[changeprop]/Npm::Install[/vagrant/srv/changeprop]/Exec[
vagrant/srv/changeprop_npm_install]/returns: CXX(target) Release/obj.target/node
librdkafka/src/errors.o
xx043:==> default: Notice:
/Stage[main]/Changeprop/Service::Node[changeprop]/Npm::Install[/vagrant/srv/changeprop]/Exec[
vagrant/srv/changeprop_npm_install]/returns: ├── chai@3.5.0 (assertion-error@1.0.2, type
detect@1.0.0, deep-eql@0.1.3)
xx044:+ vagrant roles enable eventlogging
xx045:+ vagrant roles enable externalstore
xx046:+ vagrant roles enable featuredfeeds
xx047:+ vagrant roles enable fileannotations
xx048:+ vagrant roles enable fileimporter
xx049:+ vagrant roles enable flaggedrevs
xx050:+ vagrant roles enable flow
xx050:==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: PHP Fatal
error: Class 'Pimple\Container' not found in
/vagrant/mediawiki/extensions/Flow/includes/Container.php on line 5
xx050:==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns:
centralauthtestwiki: Fatal error: Class 'Pimple\Container' not found in
/vagrant/mediawiki/extensions/Flow/includes/Container.php on line 5
xx050:==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: PHP Fatal
error: Class 'Pimple\Container' not found in
/vagrant/mediawiki/extensions/Flow/includes/Container.php on line 5
xx050:==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: enwiki: Fatal
error: Class 'Pimple\Container' not found in
/vagrant/mediawiki/extensions/Flow/includes/Container.php on line 5
xx050:==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: PHP Fatal
error: Class 'Pimple\Container' not found in
/vagrant/mediawiki/extensions/Flow/includes/Container.php on line 5
xx050:==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: eswiki: Fatal
error: Class 'Pimple\Container' not found in/vagrant/mediawiki/extensions/Flow/includes/Container.php on line 5
xx050:==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: PHP Fatal
error: Class 'Pimple\Container' not found in
/vagrant/mediawiki/extensions/Flow/includes/Container.php on line 5
xx050:==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: frwiki: Fatal
error: Class 'Pimple\Container' not found in
/vagrant/mediawiki/extensions/Flow/includes/Container.php on line 5
xx050:==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: PHP Fatal
error: Class 'Pimple\Container' not found in
/vagrant/mediawiki/extensions/Flow/includes/Container.php on line 5
xx050:==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns:
frwiktionarywiki: Fatal error: Class 'Pimple\Container' not found in
/vagrant/mediawiki/extensions/Flow/includes/Container.php on line 5
xx050:==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: PHP Fatal
error: Class 'Pimple\Container' not found in
/vagrant/mediawiki/extensions/Flow/includes/Container.php on line 5
xx050:==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: hewiki: Fatal
error: Class 'Pimple\Container' not found in
/vagrant/mediawiki/extensions/Flow/includes/Container.php on line 5
xx050:==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: PHP Fatal
error: Class 'Pimple\Container' not found in
/vagrant/mediawiki/extensions/Flow/includes/Container.php on line 5
xx050:==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: loginwiki:
Fatal error: Class 'Pimple\Container' not found in
/vagrant/mediawiki/extensions/Flow/includes/Container.php on line 5
xx050:==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: PHP Fatal
error: Class 'Pimple\Container' not found in
/vagrant/mediawiki/extensions/Flow/includes/Container.php on line 5
xx050:==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: ruwiki: Fatal
error: Class 'Pimple\Container' not found in
/vagrant/mediawiki/extensions/Flow/includes/Container.php on line 5
xx050:==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: PHP Fatal
error: Class 'Pimple\Container' not found in
/vagrant/mediawiki/extensions/Flow/includes/Container.php on line 5
xx050:==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: wiki: Fatal
error: Class 'Pimple\Container' not found in
/vagrant/mediawiki/extensions/Flow/includes/Container.php on line 5
xx050:==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: PHP Fatal
error: Class 'Pimple\Container' not found in
/vagrant/mediawiki/extensions/Flow/includes/Container.php on line 5
xx050:==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: zhwiki: Fatal
error: Class 'Pimple\Container' not found in
/vagrant/mediawiki/extensions/Flow/includes/Container.php on line 5
xx050:==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: PHP Fatalerror: Class 'Pimple\Container' not found in
/vagrant/mediawiki/extensions/Flow/includes/Container.php on line 5
xx050:==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns:
zhwikivoyagewiki: Fatal error: Class 'Pimple\Container' not found in
/vagrant/mediawiki/extensions/Flow/includes/Container.php on line 5
xx050:==> default: Error: /Stage[main]/Mediawiki/Exec[update_all_databases]: Failed to call refresh:
/usr/local/bin/foreachwiki update.php --quick --doshared returned 1 instead of one of [0]
xx050:==> default: Error: /Stage[main]/Mediawiki/Exec[update_all_databases]:
/usr/local/bin/foreachwiki update.php --quick --doshared returned 1 instead of one of [0]
xx051:+ vagrant roles enable fss
xx051:==> default: Error: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold install
php-fss' returned 100: Reading package lists...
xx051:==> default: Error: /Stage[main]/Packages::Php_fss/Package[php-fss]/ensure: change from
purged to present failed: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold install
php-fss' returned 100: Reading package lists...
xx052:+ vagrant roles enable fundraising
xx052: default: shared folder errors, please make sure the guest additions within the
xx052:==> default: Error: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold install
drush' returned 100: Reading package lists...
xx052:==> default: Error: /Stage[main]/Packages::Drush/Package[drush]/ensure: change from
purged to present failed: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold install
drush' returned 100: Reading package lists...
xx052:==> default: Notice:
/Stage[main]/Crm::Dash/Npm::Install[dash_npm_install]/Exec[dash_npm_install_npm_install]/returns:
├── send@0.16.1 (ms@2.0.0, destroy@1.0.4, mime@1.4.1, http-errors@1.6.2)
xx052:==> default: Notice:
/Stage[main]/Crm::Dash/Npm::Install[dash_npm_install]/Exec[dash_npm_install_npm_install]/returns:
├── http-errors@1.6.2 (setprototypeof@1.0.3, inherits@2.0.3, statuses@1.4.0)
xx052:==> default: Notice:
/Stage[main]/Crm::Dash/Npm::Install[dash_npm_install]/Exec[dash_npm_install_npm_install]/returns:
├── make-error-cause@1.2.2 (make-error@1.3.0)
xx052:==> default: Error: Could not set 'file' on ensure: No such file or directory @ dir_s_mkdir -
/etc/smashpig/main.yaml20171220-1471-1f5x62a.lock at
/vagrant/puppet/modules/smashpig/manifests/init.pp:23
xx052:==> default: Error: Could not set 'file' on ensure: No such file or directory @ dir_s_mkdir -
/etc/smashpig/main.yaml20171220-1471-1f5x62a.lock at
/vagrant/puppet/modules/smashpig/manifests/init.pp:23
xx052:==> default: Error: /Stage[main]/Smashpig/File[/etc/smashpig/main.yaml]/ensure: change
from absent to file failed: Could not set 'file' on ensure: No such file or directory @ dir_s_mkdir -
/etc/smashpig/main.yaml20171220-1471-1f5x62a.lock at
/vagrant/puppet/modules/smashpig/manifests/init.pp:23
xx052:==> default: Error: Could not set 'file' on ensure: No such file or directory @ dir_s_mkdir -
/etc/smashpig/adyen/main.yaml20171220-1471-1fz5rb5.lock at
/vagrant/puppet/modules/smashpig/manifests/init.pp:30xx052:==> default: Error: Could not set 'file' on ensure: No such file or directory @ dir_s_mkdir -
/etc/smashpig/adyen/main.yaml20171220-1471-1fz5rb5.lock at
/vagrant/puppet/modules/smashpig/manifests/init.pp:30
xx052:==> default: Error: /Stage[main]/Smashpig/File[/etc/smashpig/adyen/main.yaml]/ensure:
change from absent to file failed: Could not set 'file' on ensure: No such file or directory @
dir_s_mkdir - /etc/smashpig/adyen/main.yaml20171220-1471-1fz5rb5.lock at
/vagrant/puppet/modules/smashpig/manifests/init.pp:30
xx052:==> default: Error: Could not set 'file' on ensure: No such file or directory @ dir_s_mkdir -
/etc/smashpig/paypal/main.yaml20171220-1471-8m6158.lock at
/vagrant/puppet/modules/smashpig/manifests/init.pp:37
xx052:==> default: Error: Could not set 'file' on ensure: No such file or directory @ dir_s_mkdir -
/etc/smashpig/paypal/main.yaml20171220-1471-8m6158.lock at
/vagrant/puppet/modules/smashpig/manifests/init.pp:37
xx052:==> default: Error: /Stage[main]/Smashpig/File[/etc/smashpig/paypal/main.yaml]/ensure:
change from absent to file failed: Could not set 'file' on ensure: No such file or directory @
dir_s_mkdir - /etc/smashpig/paypal/main.yaml20171220-1471-8m6158.lock at
/vagrant/puppet/modules/smashpig/manifests/init.pp:37
xx052:==> default: Notice: /Stage[main]/Crm::Civicrm/Exec[civicrm_setup]/returns: PHP Fatal error:
require_once(): Failed opening required '/civicrm/install/civicrm.php' (include_path='.:/usr/share/php')
in /vagrant/srv/org.wikimedia.civicrm/sites/default/civicrm-install.php on line 31
xx052:==> default: Notice: /Stage[main]/Crm::Civicrm/Exec[civicrm_setup]/returns: Fatal error:
require_once(): Failed opening required '/civicrm/install/civicrm.php' (include_path='.:/usr/share/php')
in /vagrant/srv/org.wikimedia.civicrm/sites/default/civicrm-install.php on line 31
xx052:==> default: Error: /usr/bin/php /vagrant/srv/org.wikimedia.civicrm/sites/default/civicrm
install.php returned 255 instead of one of [0]
xx052:==> default: Error: /Stage[main]/Crm::Civicrm/Exec[civicrm_setup]/returns: change from
notrun to 0 failed: /usr/bin/php /vagrant/srv/org.wikimedia.civicrm/sites/default/civicrm-install.php
returned 255 instead of one of [0]
xx052:==> default: Notice: /Stage[main]/Payments/Mediawiki::Import::Text[payments:Donate
error]/File[/srv/pages/wiki/paymentswiki/Donate-error]: Dependency File[/etc/smashpig/main.yaml]
has failures: true
xx052:==> default: Warning: /Stage[main]/Payments/Mediawiki::Import::Text[payments:Donate
error]/File[/srv/pages/wiki/paymentswiki/Donate-error]: Skipping because of failed dependencies
xx052:==> default: Notice: /Stage[main]/Payments/Mediawiki::Import::Text[payments:Donate
error]/Mediawiki::Maintenance[add page payments/Donate-error]/Exec[add page
payments/Donate-error]: Dependency File[/etc/smashpig/main.yaml] has failures: true
xx052:==> default: Warning: /Stage[main]/Payments/Mediawiki::Import::Text[payments:Donate
error]/Mediawiki::Maintenance[add page payments/Donate-error]/Exec[add page
payments/Donate-error]: Skipping because of failed dependencies
xx052:==> default: Error: /Stage[main]/Crm::Dash/Service[fundraising_dash]: Provider upstart is not
functional on this host
xx053:+ vagrant roles enable gadgets
xx054:+ vagrant roles enable gadgets2
xx055:+ vagrant roles enable geodataxx056:+ vagrant roles enable geodata_elastic
xx056:==> default: Error: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold install
confluent-kafka-2.11.7' returned 100: Reading package lists...
xx056:==> default: Error: /Stage[main]/Packages::Confluent_kafka_2.11.7/Package[confluent
kafka-2.11.7]/ensure: change from purged to present failed: Execution of '/usr/bin/apt-get -q -y -o
DPkg::Options::=--force-confold install confluent-kafka-2.11.7' returned 100: Reading package lists...
xx056:==> default: Error: Could not update: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=-
force-confold install wmf-elasticsearch-search-plugins' returned 100: Reading package lists...
xx056:==> default: Error: /Stage[main]/Role::Cirrussearch/Package[wmf-elasticsearch-search
plugins]/ensure: change from purged to latest failed: Could not update: Execution of '/usr/bin/apt-get
-q -y -o DPkg::Options::=--force-confold install wmf-elasticsearch-search-plugins' returned 100:
Reading package lists...
xx057:+ vagrant roles enable geshi
xx058:+ vagrant roles enable gettingstarted
xx058:==> default: Error: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold install
confluent-kafka-2.11.7' returned 100: Reading package lists...
xx058:==> default: Error: /Stage[main]/Packages::Confluent_kafka_2.11.7/Package[confluent
kafka-2.11.7]/ensure: change from purged to present failed: Execution of '/usr/bin/apt-get -q -y -o
DPkg::Options::=--force-confold install confluent-kafka-2.11.7' returned 100: Reading package lists...
xx058:==> default: Error: Could not update: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=-
force-confold install wmf-elasticsearch-search-plugins' returned 100: Reading package lists...
xx058:==> default: Error: /Stage[main]/Role::Cirrussearch/Package[wmf-elasticsearch-search
plugins]/ensure: change from purged to latest failed: Could not update: Execution of '/usr/bin/apt-get
-q -y -o DPkg::Options::=--force-confold install wmf-elasticsearch-search-plugins' returned 100:
Reading package lists...
xx059:+ vagrant roles enable globalblocking
xx060:+ vagrant roles enable globalcssjs
xx061:+ vagrant roles enable globalpreferences
xx062:+ vagrant roles enable globalusage
xx063:+ vagrant roles enable globaluserpage
xx064:+ vagrant roles enable gpgmail
xx065:+ vagrant roles enable graph
xx066:+ vagrant roles enable graphoid
xx066: default: shared folder errors, please make sure the guest additions within the
xx066:==> default: Notice:
/Stage[main]/Graphoid/Service::Node[graphoid]/Npm::Install[/vagrant/srv/graphoid]/Exec[/vagrant/
rv/graphoid_npm_install]/returns: ├── http-errors@1.6.2 (setprototypeof@1.0.3, inherits@2.0.3,
statuses@1.4.0)
xx066:==> default: Notice:
/Stage[main]/Graphoid/Service::Node[graphoid]/Npm::Install[/vagrant/srv/graphoid]/Exec[/vagrant/
rv/graphoid_npm_install]/returns: └── send@0.16.1 (ms@2.0.0, destroy@1.0.4, mime@1.4.1, http
errors@1.6.2)
xx067:+ vagrant roles enable greystuff
xx068:+ vagrant roles enable guidedtourxx069:+ vagrant roles enable gwtoolset
xx069:==> default: Error: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold install
php-luasandbox' returned 100: Reading package lists...
xx069:==> default: Error: /Stage[main]/Packages::Php_luasandbox/Package[php-luasandbox]/ensure:
change from purged to present failed: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force
confold install php-luasandbox' returned 100: Reading package lists...
xx070:+ vagrant roles enable hadoop
xx070: default: shared folder errors, please make sure the guest additions within the
xx070:==> default: Error: Evaluation Error: Resource type not found: BLOCK at
/vagrant/puppet/modules/role/manifests/hadoop.pp:36:53 on node mwvstretch.mediawiki
vagrant.dev
xx071:+ vagrant roles enable headertabs
xx072:+ vagrant roles enable hhvm
xx073:+ vagrant roles enable hive
xx073:==> default: Error: Evaluation Error: Resource type not found: BLOCK at
/vagrant/puppet/modules/role/manifests/hadoop.pp:36:53 on node mwvstretch.mediawiki
vagrant.dev
xx074:+ vagrant roles enable horizon
xx074:==> default: Error: Evaluation Error: Error while evaluating a Resource Statement, Duplicate
declaration: Package[python-setuptools] is already declared in file
/vagrant/puppet/modules/mwv/manifests/packages.pp:4; cannot redeclare at
/vagrant/puppet/modules/role/manifests/keystone.pp:71 at
/vagrant/puppet/modules/role/manifests/keystone.pp:71:5 on node mwvstretch.mediawiki
vagrant.dev
xx075:+ vagrant roles enable https
xx076:+ vagrant roles enable hue
xx076:==> default: Error: Evaluation Error: Resource type not found: BLOCK at
/vagrant/puppet/modules/role/manifests/hadoop.pp:36:53 on node mwvstretch.mediawiki
vagrant.dev
xx077:+ vagrant roles enable iabot
xx078:+ vagrant roles enable iegreview
xx079:+ vagrant roles enable imagemetrics
xx080:+ vagrant roles enable inputbox
xx081:+ vagrant roles enable interwiki
xx082:+ vagrant roles enable invitesignup
xx083:+ vagrant roles enable jsduck
xx084:+ vagrant roles enable jsonconfig
xx085:+ vagrant roles enable kafka
xx085: default: shared folder errors, please make sure the guest additions within the
xx085:==> default: Error: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold install
confluent-kafka-2.11.7' returned 100: Reading package lists...
xx085:==> default: Error: /Stage[main]/Packages::Confluent_kafka_2.11.7/Package[confluent
kafka-2.11.7]/ensure: change from purged to present failed: Execution of '/usr/bin/apt-get -q -y -o
DPkg::Options::=--force-confold install confluent-kafka-2.11.7' returned 100: Reading package lists...xx086:+ vagrant roles enable kartographer
xx087:+ vagrant roles enable kartographerwv
xx088:+ vagrant roles enable keystone
xx088:==> default: Error: Evaluation Error: Error while evaluating a Resource Statement, Duplicate
declaration: Package[python-setuptools] is already declared in file
/vagrant/puppet/modules/mwv/manifests/packages.pp:4; cannot redeclare at
/vagrant/puppet/modules/role/manifests/keystone.pp:71 at
/vagrant/puppet/modules/role/manifests/keystone.pp:71:5 on node mwvstretch.mediawiki
vagrant.dev
xx089:+ vagrant roles enable l10nupdate
xx090:+ vagrant roles enable labeledsectiontransclusion
xx091:+ vagrant roles enable langwikis
xx092:+ vagrant roles enable ldapauth
xx093:+ vagrant roles enable liquidthreads
xx094:+ vagrant roles enable lockdown
xx095:+ vagrant roles enable loginnotify
xx096:+ vagrant roles enable maps
xx097:+ vagrant roles enable massaction
xx098:+ vagrant roles enable massmessage
xx099:+ vagrant roles enable math
xx099:==> default: Error: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold install
texlive-lang-croatian' returned 100: Reading package lists...
xx099:==> default: Error: /Stage[main]/Role::Math/Package[texlive-lang-croatian]/ensure: change
from purged to present failed: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold
install texlive-lang-croatian' returned 100: Reading package lists...
xx099:==> default: Error: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold install
texlive-lang-danish' returned 100: Reading package lists...
xx099:==> default: Error: /Stage[main]/Role::Math/Package[texlive-lang-danish]/ensure: change from
purged to present failed: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold install
texlive-lang-danish' returned 100: Reading package lists...
xx099:==> default: Error: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold install
texlive-lang-dutch' returned 100: Reading package lists...
xx099:==> default: Error: /Stage[main]/Role::Math/Package[texlive-lang-dutch]/ensure: change from
purged to present failed: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold install
texlive-lang-dutch' returned 100: Reading package lists...
xx099:==> default: Error: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold install
texlive-lang-finnish' returned 100: Reading package lists...
xx099:==> default: Error: /Stage[main]/Role::Math/Package[texlive-lang-finnish]/ensure: change from
purged to present failed: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold install
texlive-lang-finnish' returned 100: Reading package lists...
xx099:==> default: Error: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold install
texlive-lang-hungarian' returned 100: Reading package lists...
xx099:==> default: Error: /Stage[main]/Role::Math/Package[texlive-lang-hungarian]/ensure: change
from purged to present failed: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confoldinstall texlive-lang-hungarian' returned 100: Reading package lists...
xx099:==> default: Error: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold install
texlive-lang-latin' returned 100: Reading package lists...
xx099:==> default: Error: /Stage[main]/Role::Math/Package[texlive-lang-latin]/ensure: change from
purged to present failed: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold install
texlive-lang-latin' returned 100: Reading package lists...
xx099:==> default: Error: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold install
texlive-lang-mongolian' returned 100: Reading package lists...
xx099:==> default: Error: /Stage[main]/Role::Math/Package[texlive-lang-mongolian]/ensure: change
from purged to present failed: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold
install texlive-lang-mongolian' returned 100: Reading package lists...
xx099:==> default: Error: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold install
texlive-lang-norwegian' returned 100: Reading package lists...
xx099:==> default: Error: /Stage[main]/Role::Math/Package[texlive-lang-norwegian]/ensure: change
from purged to present failed: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold
install texlive-lang-norwegian' returned 100: Reading package lists...
xx099:==> default: Error: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold install
texlive-lang-swedish' returned 100: Reading package lists...
xx099:==> default: Error: /Stage[main]/Role::Math/Package[texlive-lang-swedish]/ensure: change
from purged to present failed: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold
install texlive-lang-swedish' returned 100: Reading package lists...
xx099:==> default: Error: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold install
texlive-lang-vietnamese' returned 100: Reading package lists...
xx099:==> default: Error: /Stage[main]/Role::Math/Package[texlive-lang-vietnamese]/ensure: change
from purged to present failed: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold
install texlive-lang-vietnamese' returned 100: Reading package lists...
xx100:+ vagrant roles enable mathoid
xx100: default: shared folder errors, please make sure the guest additions within the
xx100:==> default: Notice:
/Stage[main]/Mathoid/Service::Node[mathoid]/Npm::Install[/vagrant/srv/mathoid]/Exec[/vagrant/srv
mathoid_npm_install]/returns: └── send@0.16.1 (fresh@0.5.2, range-parser@1.2.0, destroy@1.0.4,
ms@2.0.0, encodeurl@1.0.1, statuses@1.3.1, mime@1.4.1, debug@2.6.9, http-errors@1.6.2)
xx100:==> default: Notice:
/Stage[main]/Mathoid/Service::Node[mathoid]/Npm::Install[/vagrant/srv/mathoid]/Exec[/vagrant/srv
mathoid_npm_install]/returns: ├── http-errors@1.6.2 (setprototypeof@1.0.3, inherits@2.0.3,
statuses@1.4.0)
xx100:==> default: Notice:
/Stage[main]/Mathoid/Service::Node[mathoid]/Npm::Install[/vagrant/srv/mathoid]/Exec[/vagrant/srv
mathoid_npm_install]/returns: ├── send@0.16.1 (ms@2.0.0, destroy@1.0.4, mime@1.4.1, http
errors@1.6.2)
xx101:+ vagrant roles enable mathsearch
xx101:==> default: Error: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold install
texlive-lang-croatian' returned 100: Reading package lists...
xx101:==> default: Error: /Stage[main]/Role::Math/Package[texlive-lang-croatian]/ensure: changefrom purged to present failed: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold
install texlive-lang-croatian' returned 100: Reading package lists...
xx101:==> default: Error: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold install
texlive-lang-danish' returned 100: Reading package lists...
xx101:==> default: Error: /Stage[main]/Role::Math/Package[texlive-lang-danish]/ensure: change from
purged to present failed: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold install
texlive-lang-danish' returned 100: Reading package lists...
xx101:==> default: Error: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold install
texlive-lang-dutch' returned 100: Reading package lists...
xx101:==> default: Error: /Stage[main]/Role::Math/Package[texlive-lang-dutch]/ensure: change from
purged to present failed: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold install
texlive-lang-dutch' returned 100: Reading package lists...
xx101:==> default: Error: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold install
texlive-lang-finnish' returned 100: Reading package lists...
xx101:==> default: Error: /Stage[main]/Role::Math/Package[texlive-lang-finnish]/ensure: change from
purged to present failed: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold install
texlive-lang-finnish' returned 100: Reading package lists...
xx101:==> default: Error: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold install
texlive-lang-hungarian' returned 100: Reading package lists...
xx101:==> default: Error: /Stage[main]/Role::Math/Package[texlive-lang-hungarian]/ensure: change
from purged to present failed: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold
install texlive-lang-hungarian' returned 100: Reading package lists...
xx101:==> default: Error: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold install
texlive-lang-latin' returned 100: Reading package lists...
xx101:==> default: Error: /Stage[main]/Role::Math/Package[texlive-lang-latin]/ensure: change from
purged to present failed: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold install
texlive-lang-latin' returned 100: Reading package lists...
xx101:==> default: Error: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold install
texlive-lang-mongolian' returned 100: Reading package lists...
xx101:==> default: Error: /Stage[main]/Role::Math/Package[texlive-lang-mongolian]/ensure: change
from purged to present failed: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold
install texlive-lang-mongolian' returned 100: Reading package lists...
xx101:==> default: Error: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold install
texlive-lang-norwegian' returned 100: Reading package lists...
xx101:==> default: Error: /Stage[main]/Role::Math/Package[texlive-lang-norwegian]/ensure: change
from purged to present failed: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold
install texlive-lang-norwegian' returned 100: Reading package lists...
xx101:==> default: Error: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold install
texlive-lang-swedish' returned 100: Reading package lists...
xx101:==> default: Error: /Stage[main]/Role::Math/Package[texlive-lang-swedish]/ensure: change
from purged to present failed: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold
install texlive-lang-swedish' returned 100: Reading package lists...
xx101:==> default: Error: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold install
texlive-lang-vietnamese' returned 100: Reading package lists...xx101:==> default: Error: /Stage[main]/Role::Math/Package[texlive-lang-vietnamese]/ensure: change
from purged to present failed: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold
install texlive-lang-vietnamese' returned 100: Reading package lists...
xx102:+ vagrant roles enable memcached
xx103:+ vagrant roles enable minerva
xx104:+ vagrant roles enable mleb
xx105:+ vagrant roles enable mobileapp
xx106:+ vagrant roles enable mobilecontentservice
xx106: default: shared folder errors, please make sure the guest additions within the
xx106:==> default: Error: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold install
confluent-kafka-2.11.7' returned 100: Reading package lists...
xx106:==> default: Error: /Stage[main]/Packages::Confluent_kafka_2.11.7/Package[confluent
kafka-2.11.7]/ensure: change from purged to present failed: Execution of '/usr/bin/apt-get -q -y -o
DPkg::Options::=--force-confold install confluent-kafka-2.11.7' returned 100: Reading package lists...
xx106:==> default: Notice:
/Stage[main]/Restbase/Service::Node[restbase]/Npm::Install[/vagrant/srv/restbase]/Exec[/vagrant/
rv/restbase_npm_install]/returns: ├── chai@3.5.0 (assertion-error@1.0.2, type-detect@1.0.0, deep
eql@0.1.3)
xx106:==> default: Notice:
/Stage[main]/Mobilecontentservice/Service::Node[mobileapps]/Npm::Install[/vagrant/srv/mobileap
s]/Exec[/vagrant/srv/mobileapps_npm_install]/returns: ├── http-errors@1.6.2 (inherits@2.0.3,
setprototypeof@1.0.3, statuses@1.4.0)
xx106:==> default: Notice:
/Stage[main]/Mobilecontentservice/Service::Node[mobileapps]/Npm::Install[/vagrant/srv/mobileap
s]/Exec[/vagrant/srv/mobileapps_npm_install]/returns: └── send@0.16.1 (ms@2.0.0, destroy@1.0.4,
mime@1.4.1, http-errors@1.6.2)
xx107:+ vagrant roles enable mobilefrontend
xx108:+ vagrant roles enable modern
xx109:+ vagrant roles enable molhandler
xx110:+ vagrant roles enable monobook
xx111:+ vagrant roles enable multimedia
xx112:+ vagrant roles enable multimediaviewer
xx113:+ vagrant roles enable mysql_strict
xx114:+ vagrant roles enable navigationtiming
xx115:+ vagrant roles enable newsletter
xx116:+ vagrant roles enable newusermessage
xx117:+ vagrant roles enable notebook
xx118:+ vagrant roles enable nuke
xx119:+ vagrant roles enable oathauth
xx120:+ vagrant roles enable oauth
xx121:+ vagrant roles enable oauthauthentication
xx122:+ vagrant roles enable offline
xx122:==> default: Error: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold install
confluent-kafka-2.11.7' returned 100: Reading package lists...xx122:==> default: Error: /Stage[main]/Packages::Confluent_kafka_2.11.7/Package[confluent
kafka-2.11.7]/ensure: change from purged to present failed: Execution of '/usr/bin/apt-get -q -y -o
DPkg::Options::=--force-confold install confluent-kafka-2.11.7' returned 100: Reading package lists...
xx122:==> default: Error: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold install
fonts-droid' returned 100: Reading package lists...
xx122:==> default: Error: /Stage[main]/Packages::Fonts_droid/Package[fonts-droid]/ensure: change
from purged to present failed: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold
install fonts-droid' returned 100: Reading package lists...
xx122:==> default: Error: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold install
ttf-mscorefonts-installer' returned 100: Reading package lists...
xx122:==> default: Error: /Stage[main]/Packages::Ttf_mscorefonts_installer/Package[ttf-mscorefonts
installer]/ensure: change from purged to present failed: Execution of '/usr/bin/apt-get -q -y -o
DPkg::Options::=--force-confold install ttf-mscorefonts-installer' returned 100: Reading package
lists...
xx123:+ vagrant roles enable oozie
xx123:==> default: Error: Evaluation Error: Resource type not found: BLOCK at
/vagrant/puppet/modules/role/manifests/hadoop.pp:36:53 on node mwvstretch.mediawiki
vagrant.dev
xx124:+ vagrant roles enable openbadges
xx125:+ vagrant roles enable ores
xx126:+ vagrant roles enable ores_service
xx126:==> default: Notice:
/Stage[main]/Ores/Virtualenv::Package[ores]/Exec[pip_install_ores_editable_in_/vagrant/srv/ores]/re
urns: Command "git clone -q https://github.com/wiki-ai/ores.git /vagrant/srv/ores/src/ores" failed
with error code 128 in None
xx126:==> default: Error: /vagrant/srv/ores/bin/pip install -e git+https://github.com/wiki
ai/ores.git#egg=ores returned 1 instead of one of [0]
xx126:==> default: Error:
/Stage[main]/Ores/Virtualenv::Package[ores]/Exec[pip_install_ores_editable_in_/vagrant/srv/ores]/re
urns: change from notrun to 0 failed: /vagrant/srv/ores/bin/pip install -e git+https://github.com/wiki
ai/ores.git#egg=ores returned 1 instead of one of [0]
xx126:==> default: Notice:
/Stage[main]/Ores/Virtualenv::Package[ores]/Exec[pip_install_ores_editable_in_/vagrant/srv/ores]/re
urns: Command "git clone -q https://github.com/wiki-ai/ores.git /vagrant/srv/ores/src/ores" failed
with error code 128 in None
xx126:==> default: Error:
/Stage[main]/Ores/Virtualenv::Package[ores]/Exec[pip_install_ores_editable_in_/vagrant/srv/ores]:
Failed to call refresh: /vagrant/srv/ores/bin/pip install -e git+https://github.com/wiki
ai/ores.git#egg=ores returned 1 instead of one of [0]
xx126:==> default: Error:
/Stage[main]/Ores/Virtualenv::Package[ores]/Exec[pip_install_ores_editable_in_/vagrant/srv/ores]:
/vagrant/srv/ores/bin/pip install -e git+https://github.com/wiki-ai/ores.git#egg=ores returned 1
instead of one of [0]
xx127:+ vagrant roles enable pageassessmentsxx128:+ vagrant roles enable pagedtiffhandler
xx129:+ vagrant roles enable pageimages
xx130:+ vagrant roles enable pagetriage
xx131:+ vagrant roles enable pageviewinfo
xx132:+ vagrant roles enable parserfunctions
xx133:+ vagrant roles enable parsoid
xx133: default: shared folder errors, please make sure the guest additions within the
xx134:+ vagrant roles enable payments
xx134:==> default: Error: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold install
drush' returned 100: Reading package lists...
xx134:==> default: Error: /Stage[main]/Packages::Drush/Package[drush]/ensure: change from
purged to present failed: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold install
drush' returned 100: Reading package lists...
xx134:==> default: Notice: /Stage[main]/Crm::Civicrm/Exec[civicrm_setup]/returns: PHP Fatal error:
require_once(): Failed opening required '/civicrm/install/civicrm.php' (include_path='.:/usr/share/php')
in /vagrant/srv/org.wikimedia.civicrm/sites/default/civicrm-install.php on line 31
xx134:==> default: Notice: /Stage[main]/Crm::Civicrm/Exec[civicrm_setup]/returns: Fatal error:
require_once(): Failed opening required '/civicrm/install/civicrm.php' (include_path='.:/usr/share/php')
in /vagrant/srv/org.wikimedia.civicrm/sites/default/civicrm-install.php on line 31
xx134:==> default: Error: /usr/bin/php /vagrant/srv/org.wikimedia.civicrm/sites/default/civicrm
install.php returned 255 instead of one of [0]
xx134:==> default: Error: /Stage[main]/Crm::Civicrm/Exec[civicrm_setup]/returns: change from
notrun to 0 failed: /usr/bin/php /vagrant/srv/org.wikimedia.civicrm/sites/default/civicrm-install.php
returned 255 instead of one of [0]
xx134:==> default: Notice: /Stage[main]/Payments/Mediawiki::Import::Text[payments:Donate
error]/File[/srv/pages/wiki/paymentswiki/Donate-error]/ensure: defined content as
'{md5}5f05c715be743d747d88c9da78d7364b'
xx134:==> default: Info: /Stage[main]/Payments/Mediawiki::Import::Text[payments:Donate
error]/File[/srv/pages/wiki/paymentswiki/Donate-error]: Scheduling refresh of Exec[add page
payments/Donate-error]
xx134:==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: DB
connection error: Access denied for user 'root'@'localhost' (127.0.0.1)
xx134:==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]/returns: #0
/vagrant/mediawiki-fr/includes/db/DatabaseMysqlBase.php(119): DatabaseBase
>reportConnectionError('Access denied f...')
xx134:==> default: Error: /Stage[main]/Mediawiki/Exec[update_all_databases]: Failed to call refresh:
/usr/local/bin/foreachwiki update.php --quick --doshared returned 1 instead of one of [0]
xx134:==> default: Error: /Stage[main]/Mediawiki/Exec[update_all_databases]:
/usr/local/bin/foreachwiki update.php --quick --doshared returned 1 instead of one of [0]
xx134:==> default: Notice: /Stage[main]/Payments/Mediawiki::Import::Text[payments:Donate
error]/Mediawiki::Maintenance[add page payments/Donate-error]/Exec[add page
payments/Donate-error]: Triggered 'refresh' from 1 events
xx134:==> default: Error: /Stage[main]/Crm::Dash/Service[fundraising_dash]: Provider upstart is not
functional on this hostxx135:+ vagrant roles enable pdfhandler
xx136:+ vagrant roles enable performanceinspector
xx137:+ vagrant roles enable phabricator
xx137: default: shared folder errors, please make sure the guest additions within the
xx137:==> default: Notice: /Stage[main]/Phabricator/Exec[phab_setup_db]/returns: Raw MySQL Error:
Attempt to connect to root@127.0.0.1 failed with error
xx137:==> default: Error: /vagrant/srv/phabricator/bin/storage upgrade --force returned 1 instead of
one of [0]
xx137:==> default: Error: /Stage[main]/Phabricator/Exec[phab_setup_db]/returns: change from
notrun to 0 failed: /vagrant/srv/phabricator/bin/storage upgrade --force returned 1 instead of one of
[0]
xx138:+ vagrant roles enable phptags
xx139:+ vagrant roles enable phragile
xx139:==> default: Error: Evaluation Error: Error while evaluating a Resource Statement,
Phabricator::Config[phabricator.show-prototypes]: has no parameter named 'deploy_dir' at
/vagrant/puppet/modules/role/manifests/phragile.pp:14 on node mwvstretch.mediawiki-vagrant.dev
xx140:+ vagrant roles enable pipeescape
xx141:+ vagrant roles enable poem
xx142:+ vagrant roles enable poolcounter
xx142:==> default: Error: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold install
poolcounter' returned 100: Reading package lists...
xx142:==> default: Error: /Stage[main]/Packages::Poolcounter/Package[poolcounter]/ensure: change
from purged to present failed: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold
install poolcounter' returned 100: Reading package lists...
xx143:+ vagrant roles enable popups
xx144:+ vagrant roles enable private
xx145:+ vagrant roles enable proofreadpage
xx146:+ vagrant roles enable psr3
xx147:+ vagrant roles enable questycaptcha
xx147:==> default: Notice:
/Stage[main]/Mediawiki/Mediawiki::User[admin_user_in_steward_suppress_on_wiki]/Mediawiki::Mai
tenance[mediawiki_user_Admin_wiki]/Exec[mediawiki_user_Admin_wiki]/returns: PHP Fatal error:
Uncaught RuntimeException: The configuration setting 'wgCaptchaClass' was already set by another
extension, and cannot be set again. in
/vagrant/mediawiki/includes/registration/ExtensionProcessor.php:495
xx147:==> default: Notice:
/Stage[main]/Mediawiki/Mediawiki::User[admin_user_in_steward_suppress_on_wiki]/Mediawiki::Mai
tenance[mediawiki_user_Admin_wiki]/Exec[mediawiki_user_Admin_wiki]/returns: Fatal error:
Uncaught RuntimeException: The configuration setting 'wgCaptchaClass' was already set by another
extension, and cannot be set again. in
/vagrant/mediawiki/includes/registration/ExtensionProcessor.php on line 495
xx147:==> default: Error: /usr/local/bin/mwscript createAndPromote.php --wiki='wiki'
'Admin' 'vagrant' returned 255 instead of one of [0]
xx147:==> default: Error:/Stage[main]/Mediawiki/Mediawiki::User[admin_user_in_steward_suppress_on_wiki]/Mediawiki::Mai
tenance[mediawiki_user_Admin_wiki]/Exec[mediawiki_user_Admin_wiki]/returns: change from notrun
to 0 failed: /usr/local/bin/mwscript createAndPromote.php --wiki='wiki' 'Admin' 'vagrant'
returned 255 instead of one of [0]
xx147:==> default: Notice:
/Stage[main]/Role::Questycaptcha/Mediawiki::Import::Text[VagrantRoleQuestyCaptcha]/Mediawiki:
Maintenance[add page devwiki/VagrantRoleQuestyCaptcha]/Exec[add page
devwiki/VagrantRoleQuestyCaptcha]/returns: PHP Fatal error: Uncaught RuntimeException: The
configuration setting 'wgCaptchaClass' was already set by another extension, and cannot be set
again. in /vagrant/mediawiki/includes/registration/ExtensionProcessor.php:495
xx147:==> default: Notice:
/Stage[main]/Role::Questycaptcha/Mediawiki::Import::Text[VagrantRoleQuestyCaptcha]/Mediawiki:
Maintenance[add page devwiki/VagrantRoleQuestyCaptcha]/Exec[add page
devwiki/VagrantRoleQuestyCaptcha]/returns: Fatal error: Uncaught RuntimeException: The
configuration setting 'wgCaptchaClass' was already set by another extension, and cannot be set
again. in /vagrant/mediawiki/includes/registration/ExtensionProcessor.php on line 495
xx147:==> default: Error:
/Stage[main]/Role::Questycaptcha/Mediawiki::Import::Text[VagrantRoleQuestyCaptcha]/Mediawiki:
Maintenance[add page devwiki/VagrantRoleQuestyCaptcha]/Exec[add page
devwiki/VagrantRoleQuestyCaptcha]: Failed to call refresh: /usr/local/bin/mwscript edit.php -
wiki=wiki --summary='Vagrant import' --no-rc 'VagrantRoleQuestyCaptcha' <
'/srv/pages/wiki/wiki/VagrantRoleQuestyCaptcha' returned 255 instead of one of [0]
xx147:==> default: Error:
/Stage[main]/Role::Questycaptcha/Mediawiki::Import::Text[VagrantRoleQuestyCaptcha]/Mediawiki:
Maintenance[add page devwiki/VagrantRoleQuestyCaptcha]/Exec[add page
devwiki/VagrantRoleQuestyCaptcha]: /usr/local/bin/mwscript edit.php --wiki=wiki -
summary='Vagrant import' --no-rc 'VagrantRoleQuestyCaptcha' <
'/srv/pages/wiki/wiki/VagrantRoleQuestyCaptcha' returned 255 instead of one of [0]
xx148:+ vagrant roles enable quicksurveys
xx149:+ vagrant roles enable quips
xx150:+ vagrant roles enable quiz
xx151:+ vagrant roles enable raita
xx151:==> default: to check for updates. This is not an error, since it is usually due
xx151: default: shared folder errors, please make sure the guest additions within the
xx151:==> default: Error: Evaluation Error: Error while evaluating a Resource Statement, Duplicate
declaration: Package[nodejs] is already declared in file
/vagrant/puppet/modules/role/manifests/raita.pp:23; cannot redeclare at
/vagrant/puppet/modules/npm/manifests/init.pp:29 at
/vagrant/puppet/modules/npm/manifests/init.pp:29:5 on node mwvstretch.mediawiki-vagrant.dev
xx152:+ vagrant roles enable readinglists
xx153:+ vagrant roles enable relatedarticles
xx154:+ vagrant roles enable renameuser
xx155:+ vagrant roles enable restbase
xx155: default: shared folder errors, please make sure the guest additions within thexx155:==> default: Error: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold install
confluent-kafka-2.11.7' returned 100: Reading package lists...
xx155:==> default: Error: /Stage[main]/Packages::Confluent_kafka_2.11.7/Package[confluent
kafka-2.11.7]/ensure: change from purged to present failed: Execution of '/usr/bin/apt-get -q -y -o
DPkg::Options::=--force-confold install confluent-kafka-2.11.7' returned 100: Reading package lists...
xx156:+ vagrant roles enable revisionslider
xx157:+ vagrant roles enable sal
xx158:+ vagrant roles enable sandboxlink
xx159:+ vagrant roles enable scholarships
xx160:+ vagrant roles enable score
xx161:+ vagrant roles enable scribunto
xx161:==> default: Error: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold install
php-luasandbox' returned 100: Reading package lists...
xx161:==> default: Error: /Stage[main]/Packages::Php_luasandbox/Package[php-luasandbox]/ensure:
change from purged to present failed: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force
confold install php-luasandbox' returned 100: Reading package lists...
xx162:+ vagrant roles enable securepoll
xx163:+ vagrant roles enable semanticextraspecialproperties
xx164:+ vagrant roles enable semanticmediawiki
xx165:+ vagrant roles enable semanticresultformats
xx166:+ vagrant roles enable semantictitle
xx167:+ vagrant roles enable sentry
xx167:==> default: Notice: /Stage[main]/Sentry/Exec[initialize sentry database]/returns: FATAL
ERROR - The following SQL query failed: CREATE TABLE `djkombu_queue` (`id` integer
AUTO_INCREMENT NOT NULL PRIMARY KEY, `name` varchar(200) NOT NULL UNIQUE)
xx167:==> default: Notice: /Stage[main]/Sentry/Exec[initialize sentry database]/returns: The error
was: (1071, 'Specified key was too long; max key length is 767 bytes')
xx167:==> default: Notice: /Stage[main]/Sentry/Exec[initialize sentry database]/returns: ! Error found
during real run of migration! Aborting.
xx167:==> default: Notice: /Stage[main]/Sentry/Exec[initialize sentry database]/returns: ! NOTE: The
error which caused the migration to fail is further up.
xx167:==> default: Notice: /Stage[main]/Sentry/Exec[initialize sentry database]/returns: Error in
migration: django:0001_initial
xx167:==> default: Notice: /Stage[main]/Sentry/Exec[initialize sentry database]/returns:
self.errorhandler(self, exc, value)
xx167:==> default: Notice: /Stage[main]/Sentry/Exec[initialize sentry database]/returns: File
"/srv/sentry/local/lib/python2.7/site-packages/sentry/../MySQLdb/connections.py", line 36, in
defaulterrorhandler
xx167:==> default: Notice: /Stage[main]/Sentry/Exec[initialize sentry database]/returns: raise
errorclass, errorvalue
xx167:==> default: Notice: /Stage[main]/Sentry/Exec[initialize sentry database]/returns:
django.db.utils.OperationalError: (1071, 'Specified key was too long; max key length is 767 bytes')
xx167:==> default: Error: /srv/sentry/bin/sentry --config='/etc/sentry.conf.py' upgrade --noinput
returned 1 instead of one of [0]xx167:==> default: Error: /Stage[main]/Sentry/Exec[initialize sentry database]/returns: change from
notrun to 0 failed: /srv/sentry/bin/sentry --config='/etc/sentry.conf.py' upgrade --noinput returned 1
instead of one of [0]
xx168:+ vagrant roles enable shorturl
xx169:+ vagrant roles enable simple_miser
xx169:==> default: Error: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold install
php-wikidiff2' returned 100: Reading package lists...
xx169:==> default: Error: /Stage[main]/Packages::Php_wikidiff2/Package[php-wikidiff2]/ensure:
change from purged to present failed: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force
confold install php-wikidiff2' returned 100: Reading package lists...
xx170:+ vagrant roles enable simple_performant
xx170:==> default: Error: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold install
php-wikidiff2' returned 100: Reading package lists...
xx170:==> default: Error: /Stage[main]/Packages::Php_wikidiff2/Package[php-wikidiff2]/ensure:
change from purged to present failed: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force
confold install php-wikidiff2' returned 100: Reading package lists...
xx171:+ vagrant roles enable sitematrix
xx172:+ vagrant roles enable spark
xx172:==> default: Error: Evaluation Error: Resource type not found: BLOCK at
/vagrant/puppet/modules/role/manifests/hadoop.pp:36:53 on node mwvstretch.mediawiki
vagrant.dev
xx173:+ vagrant roles enable statsd
xx174:+ vagrant roles enable striker
xx174:==> default: Error: Evaluation Error: Error while evaluating a Resource Statement, Duplicate
declaration: Package[python-setuptools] is already declared in file
/vagrant/puppet/modules/mwv/manifests/packages.pp:4; cannot redeclare at
/vagrant/puppet/modules/role/manifests/keystone.pp:71 at
/vagrant/puppet/modules/role/manifests/keystone.pp:71:5 on node mwvstretch.mediawiki
vagrant.dev
xx175:+ vagrant roles enable svg
xx176:+ vagrant roles enable swift
xx176: default: shared folder errors, please make sure the guest additions within the
xx176:==> default: Error: Evaluation Error: Resource type not found: Ring at
/vagrant/puppet/modules/swift/manifests/init.pp:148:21 on node mwvstretch.mediawiki-vagrant.dev
xx177:+ vagrant roles enable syntaxhighlight
xx178:+ vagrant roles enable templatedata
xx179:+ vagrant roles enable templatesandbox
xx180:+ vagrant roles enable templatestyles
xx181:+ vagrant roles enable testwiki
xx182:+ vagrant roles enable textextracts
xx183:+ vagrant roles enable three_d
xx183:==> default: Error: /usr/bin/npm install --no-bin-links returned 1 instead of one of [0]
xx183:==> default: Error: /Stage[main]/Three_d/Exec[3d2png_npm_install]/returns: change from
notrun to 0 failed: /usr/bin/npm install --no-bin-links returned 1 instead of one of [0]xx184:+ vagrant roles enable throttleoverride
xx185:+ vagrant roles enable thumb_on_404
xx186:+ vagrant roles enable thumbor
xx186: default: shared folder errors, please make sure the guest additions within the
xx186:==> default: Error: Evaluation Error: Resource type not found: Ring at
/vagrant/puppet/modules/swift/manifests/init.pp:148:21 on node mwvstretch.mediawiki-vagrant.dev
xx187:+ vagrant roles enable tidy
xx188:+ vagrant roles enable timedmediahandler
xx189:+ vagrant roles enable timeless
xx190:+ vagrant roles enable titleblacklist
xx191:+ vagrant roles enable torblock
xx192:+ vagrant roles enable translate
xx193:+ vagrant roles enable uls
xx194:+ vagrant roles enable uploadslink
xx195:+ vagrant roles enable uploadwizard
xx196:+ vagrant roles enable urlgetparameters
xx197:+ vagrant roles enable urlshortener
xx198:+ vagrant roles enable usermerge
xx199:+ vagrant roles enable variables
xx200:+ vagrant roles enable varnish
xx200: default: shared folder errors, please make sure the guest additions within the
xx200:==> default: Notice:
/Stage[main]/Varnish/Varnish::Config[errorpage]/File[/etc/varnish/conf.d/10-errorpage.vcl]/ensure:
defined content as '{md5}b90a1b3ef3882ddb6067057888223801'
xx200:==> default: Info: /Stage[main]/Varnish/Varnish::Config[errorpage]/File[/etc/varnish/conf.d/10
errorpage.vcl]: Scheduling refresh of Service[varnish]
xx200:==> default: Notice:
/Stage[main]/Varnish/Varnish::Config[errorpage]/File_line[/etc/varnish/conf-d.vcl:errorpage]/ensure:
created
xx200:==> default: Info: /Stage[main]/Varnish/Varnish::Config[errorpage]/File_line[/etc/varnish/conf
d.vcl:errorpage]: Scheduling refresh of Exec[varnish_sort_confd]
xx201:+ vagrant roles enable vipsscaler
xx202:+ vagrant roles enable visualeditor
xx202: default: shared folder errors, please make sure the guest additions within the
xx202:==> default: Error: Evaluation Error: Error while evaluating a Resource Statement, Evaluation
Error: Error while evaluating a Function Call, Service port must be specified and must be a number!
at /vagrant/puppet/modules/service/manifests/node.pp:80:9 at
/vagrant/puppet/modules/citoid/manifests/init.pp:18 on node mwvstretch.mediawiki-vagrant.dev
xx203:+ vagrant roles enable warnings_as_errors
xx203:==> default: Notice:
/Stage[main]/Role::Warnings_as_errors/Mediawiki::Settings[warnings_as_errors]/File[/vagrant/setti
gs.d/puppet-managed/10-warnings_as_errors.php]/ensure: defined content as
'{md5}810a32558e33d0c9f48ffb5864412c88'
xx204:==> default: Notice: /Stage[main]/Mediawiki/File[/vagrant/settings.d/puppet-managed/10warnings_as_errors.php]/ensure: removed
xx204:+ vagrant roles enable whoops
xx205:+ vagrant roles enable widgets
xx206:+ vagrant roles enable wikibase_repo
xx207:+ vagrant roles enable wikidata
xx208:+ vagrant roles enable wikidatapagebanner
xx209:+ vagrant roles enable wikidiff2
xx209:==> default: Error: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold install
php-wikidiff2' returned 100: Reading package lists...
xx209:==> default: Error: /Stage[main]/Packages::Php_wikidiff2/Package[php-wikidiff2]/ensure:
change from purged to present failed: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force
confold install php-wikidiff2' returned 100: Reading package lists...
xx210:+ vagrant roles enable wikieditor
xx211:+ vagrant roles enable wikihiero
xx212:+ vagrant roles enable wikilabels
xx212:==> default: Notice:
/Stage[main]/Wikilabels/Virtualenv::Package[wikilabels]/Exec[pip_install_wikilabels_editable_in_/vag
ant/srv/wikilabels]/returns: Command "git clone -q https://github.com/wiki-ai/wikilabels.git
/vagrant/srv/wikilabels/src/wikilabels" failed with error code 128 in None
xx212:==> default: Error: /vagrant/srv/wikilabels/bin/pip install -e git+https://github.com/wiki
ai/wikilabels.git#egg=wikilabels returned 1 instead of one of [0]
xx212:==> default: Error:
/Stage[main]/Wikilabels/Virtualenv::Package[wikilabels]/Exec[pip_install_wikilabels_editable_in_/vag
ant/srv/wikilabels]/returns: change from notrun to 0 failed: /vagrant/srv/wikilabels/bin/pip install -e
git+https://github.com/wiki-ai/wikilabels.git#egg=wikilabels returned 1 instead of one of [0]
xx212:==> default: Notice:
/Stage[main]/Wikilabels/Virtualenv::Package[wikilabels]/Exec[pip_install_wikilabels_editable_in_/vag
ant/srv/wikilabels]/returns: Command "git clone -q https://github.com/wiki-ai/wikilabels.git
/vagrant/srv/wikilabels/src/wikilabels" failed with error code 128 in None
xx212:==> default: Error:
/Stage[main]/Wikilabels/Virtualenv::Package[wikilabels]/Exec[pip_install_wikilabels_editable_in_/vag
ant/srv/wikilabels]: Failed to call refresh: /vagrant/srv/wikilabels/bin/pip install -e
git+https://github.com/wiki-ai/wikilabels.git#egg=wikilabels returned 1 instead of one of [0]
xx212:==> default: Error:
/Stage[main]/Wikilabels/Virtualenv::Package[wikilabels]/Exec[pip_install_wikilabels_editable_in_/vag
ant/srv/wikilabels]: /vagrant/srv/wikilabels/bin/pip install -e git+https://github.com/wiki
ai/wikilabels.git#egg=wikilabels returned 1 instead of one of [0]
xx213:+ vagrant roles enable wikilove
xx214:+ vagrant roles enable wikimediaevents
xx215:+ vagrant roles enable wikimediaflow
xx215:==> default: Error: Evaluation Error: Error while evaluating a Resource Statement, Evaluation
Error: Error while evaluating a Function Call, Service port must be specified and must be a number!
at /vagrant/puppet/modules/service/manifests/node.pp:80:9 at
/vagrant/puppet/modules/citoid/manifests/init.pp:18 on node mwvstretch.mediawiki-vagrant.devxx216:+ vagrant roles enable wikimediaincubator
xx217:+ vagrant roles enable wikimediamaintenance
xx218:+ vagrant roles enable wikimediamessages
xx219:+ vagrant roles enable wikimediaproduction
xx219:==> default: Error: Evaluation Error: Error while evaluating a Resource Statement, Duplicate
declaration: Mediawiki::Extension[GlobalUsage] is already declared in file
/vagrant/puppet/modules/role/manifests/commons.pp:32; cannot redeclare at
/vagrant/puppet/modules/role/manifests/globalusage.pp:5 at
/vagrant/puppet/modules/role/manifests/globalusage.pp:5:5 on node mwvstretch.mediawiki
vagrant.dev
xx220:+ vagrant roles enable wikimetrics
xx220: default: shared folder errors, please make sure the guest additions within the
xx220:==> default: Error: Evaluation Error: Error while evaluating a Function Call, Failed to parse
template wikimetrics/web_config.yaml.erb:
xx221:+ vagrant roles enable wikipediaextracts
xx222:+ vagrant roles enable wikispeech
xx223:+ vagrant roles enable wikitech
xx223:==> default: Error: Evaluation Error: Error while evaluating a Resource Statement, Duplicate
declaration: Mediawiki::Extension[Renameuser] is already declared in file
/vagrant/puppet/modules/role/manifests/renameuser.pp:6; cannot redeclare at
/vagrant/puppet/modules/role/manifests/wikitech.pp:46 at
/vagrant/puppet/modules/role/manifests/wikitech.pp:46:5 on node mwvstretch.mediawiki
vagrant.dev
xx224:+ vagrant roles enable xanalytics
xx225:+ vagrant roles enable xhprofgui
xx226:+ vagrant roles enable youtube
xx227:+ vagrant roles enable zero
xx227:==> default: Error: Evaluation Error: Error while evaluating a Function Call, Could not find class
::role::zend for mwvstretch.mediawiki-vagrant.dev at
/vagrant/puppet/modules/role/manifests/zero.pp:11:5 on node mwvstretch.mediawiki-vagrant.dev